Previous: CBM-II-specific commands and settings, Up: Machine-specific features [Contents][Index]

### 7.9 VSID-specific commands and settings

#### 7.9.1 VSID settings

#### 7.9.1.1 VSID resources

`PSIDKeepEnv`

  Boolean that specifies whether to override PSID settings for Video standard and SID model.

`PSIDTune`

  Integer that specifies the currently played sub tune.

`HVSCRoot`

  String specifying the location of the HVSC "C64Music" directory.

`ChargenName`

  String specifying the name of the character generator ROM (default `chargen`).

`KernalName`

  String specifying the name of the Kernal ROM (default `kernal`).

`BasicName`

  String specifying the name of the Basic ROM (default `basic`).

`KernalRev`

  String specifying the Kernal revision. This resource can be used to control what revision of the C64 kernal is being used; it cannot be changed at runtime. VICE is able to automatically convert one ROM revision into another, by manually patching the loaded image. This way, it is possible to use any of the ROM revisions without changing the ROM set. Valid values are:

  `0`

    Kernal revision 0;

  `3`

    Kernal revision 3;

  `sx`
  `67`

    Commodore SX-64 ROM;

  `100`
  `4064`

    Commodore 4064 (also known as “PET64” or “Educator 64”) ROM.

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (4: PAL-N, 3: Old NTSC, 1: PAL, 2: NTSC).

#### 7.9.1.2 VSID command-line options

`-keepenv`

  Override PSID settings for Video standard and SID model (`PSIDKeepEnv=1`).

`-tune <number>`

  Specify PSID tune <number> (`PSIDTune`).

`-hvsc-root <path>`

  Specify the location of the HVSC "C64Music" directory. (`HVSCRoot`).

`-chargen <name>`

  Specify name of character generator ROM image (`ChargenName`).

`-kernal <name>`

  Specify name of the Kernal ROM image (`KernalName`).

`-basic <name>`

  Specify name of the Basic ROM image (`BasicName`).

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-ntscold`

  Use old NTSC sync factor (`MachineVideoStandard=3`).

`-paln`

  Use PAL-N sync factor (`MachineVideoStandard=4`).

Previous: CBM-II-specific commands and settings, Up: Machine-specific features [Contents][Index]